:- consult('plnxt.pl').
 
start :-
    nxt_open,
    thread_create(go_on_buddy,_,[detached(true)]).
 
go_on_buddy :-
    nxt_rotate(200,360),
    trigger_create(_,distance,clear).
 
clean :-
    nxt_stop,
    nxt_go_cm(300,40),
    nxt_go_cm(-300,40),
    go_on_buddy.
 
distance :-
    nxt_ultrasonic(D),
    D < 15.
 
stop :-
    trigger_killall,
    nxt_stop,
    nxt_close.

